Quantcast
Channel: Rhino Developer - McNeel Forum
Viewing all articles
Browse latest Browse all 8546

Showing hidden objects not working correctly

$
0
0

Hey there,

I want to hide certain objects in my file…

foreach (var obj in RhinoDoc.ActiveDoc.Objects)
{
    if (show_case == true)
    {
        RhinoDoc.ActiveDoc.Objects.Hide(obj, true);
    }
    else
    {
        RhinoDoc.ActiveDoc.Objects.Lock(obj, true);
    }
}
Rhino.RhinoDoc.ActiveDoc.Views.Redraw();

So far this is working (no idea if this is the most elegant way though.
But when I want to show them again here:

foreach (var obj in RhinoDoc.ActiveDoc.Objects)
{
    if (show_case == true)
    {
        RhinoDoc.ActiveDoc.Objects.Show(obj, true);
    }
    else
    {
    RhinoDoc.ActiveDoc.Objects.Unlock(obj, true);
    }
}
Rhino.RhinoDoc.ActiveDoc.Views.Redraw();

Unlocking them is working perfectly fine.
Showing them is not working at all!

What am I missing here?

Thanks in advance,
T.

2 posts - 2 participants

Read full topic


Viewing all articles
Browse latest Browse all 8546

Trending Articles